## libarchive-latest 3.3.3

=== debian/changelog ===
libarchive-latest (3.3.3-4~deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * Backport version from Buster to Stretch to allow ClamAV 1.0.x builds.
    - Rename the package to libarchive-latest to avoid changing the default in
      Stretch.
    - Downgrade debhelper compat level to 10.
    - Do not b-d on libext2fs-dev, not available in Stretch.

 -- Lucas Kanashiro <lucas@freexian.com>  Fri, 15 Nov 2024 14:20:05 -0300

libarchive (3.3.3-4+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2019-18408
    Fix use after free in case parts of the archive are corrupt but
    the archive contains several headers.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 27 Oct 2019 10:03:02 +0200

libarchive (3.3.3-4) unstable; urgency=medium

  * Add three upstream patches:
    - CVE-2019-1000019: fix a crash when parsing some 7zip archives
    - CVE-2019-1000020: require the RockRidge extension for iso9660
    - zip-nullptr: fix a null pointer deference in ZIP files handling

 -- Peter Pentchev <roam@debian.org>  Wed, 06 Feb 2019 11:01:25 +0200

libarchive (3.3.3-3) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Build-depend on libext2fs-dev instead of e2fslibs-dev (Closes: #890210)
  * CI: Use the salsa-ci-team pipeline

  [ Peter Pentchev ]
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add my copyright notice for debian/*.
  * Extend Andreas Henriksson's copyright notice all the way to 2019.

 -- Peter Pentchev <roam@debian.org>  Sat, 05 Jan 2019 19:07:02 +0200

libarchive (3.3.3-2) unstable; urgency=medium

  * Add Daniel Axtens's security and reliability patches:
    - CVE-2018-1000877.patch: Closes: #916964
    - CVE-2018-1000878.patch: Closes: #916963
    - CVE-2018-1000879.patch: Closes: #916962
    - CVE-2018-1000880.patch: Closes: #916960
    - all merged upstream in https://github.com/libarchive/libarchive/pull/1105
    Thanks to Salvatore Bonaccorso for filing the Debian bugs!

 -- Peter Pentchev <roam@debian.org>  Fri, 21 Dec 2018 18:01:29 +0200

libarchive (3.3.3-1) unstable; urgency=medium

  [ Peter Pentchev ]
  * Declare compliance with Debian Policy 4.2.1 with no changes.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Build with zstd compression support.
  * Pass --fail-missing to dh_missing, not to dh_install any more.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/ now part of upstream release:
    - Avoid-a-read-off-by-one-error-for-UTF16-names-in-RAR.patch
    - Do-something-sensible-for-empty-strings-to-make-fuzz.patch
    - Fail-with-negative-lha-compsize-in-lha_read_file_header_1.patch
    - Reject-LHA-archive-entries-with-negative-size.patch
    - Reread-the-CAB-header-skipping-the-self-extracting-b.patch
    - archive_strncat_l-allocate-and-do-not-convert-if-len.patch
    - iso9660-validate-directory-record-length.patch
  * Update libarchive13.symbols

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Dec 2018 02:01:01 +0200

libarchive (3.2.2-5) unstable; urgency=medium

  * Acknowledge NMUs; many thanks to Salvatore Bonaccorso!
  * Use my Debian e-mail address.
  * Declare compliance with Debian Policy 4.2.0:
    - add Rules-Requires-Root: no to the source control stanza
    - install the upstream release notes (NEWS)
  * Drop the duplicate Priority fields for the binary packages.
  * Switch to the HTTPS scheme in various upstream and Debian
    packaging URLs.
  * Drop some trailing whitespace from old changelog entries.
  * Bump the debhelper compatibility level to 11 with no changes and
    use the B-D: debhelper-compat (= 11) mechanism.
  * Add a trivial autopkgtest running adequate on the binary packages.

 -- Peter Pentchev <roam@debian.org>  Sat, 25 Aug 2018 18:28:10 +0300

libarchive (3.2.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * iso9660: validate directory record length (CVE-2017-14501)
    (Closes: #875966)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Aug 2018 08:18:10 +0200

libarchive (3.2.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reject LHA archive entries with negative size (CVE-2017-14503)
    (Closes: #875960)
  * Avoid a read off-by-one error for UTF16 names in RAR archives
    (CVE-2017-14502)
    (Closes: #875974)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 25 Jul 2018 21:29:42 +0200

libarchive (3.2.2-4) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* fields for move to salsa.debian.org
  * debian/control: Replace Priority: extra with optional

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 May 2018 00:01:28 +0200

libarchive (3.2.2-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Reupload 3.2.2-2.1 on top of 3.2.2-3
  * archive_strncat_l(): allocate and do not convert if length == 0
    (CVE-2016-10209) (Closes: #859456)
  * Reread the CAB header skipping the self-extracting binary code
    (CVE-2016-10349, CVE-2016-10350) (Closes: #861609)
  * Do something sensible for empty strings to make fuzzers happy
    (CVE-2017-14166)
    Fixes heap-based buffer over-read in the atol8 function. (Closes: #874539)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 14 Sep 2017 16:02:10 +0200

libarchive (3.2.2-3) unstable; urgency=medium

  * Remove myself from uploaders
  * Promote Peter to primary maintainer replacing team address

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 14 Sep 2017 11:08:48 +0200

libarchive (3.2.2-2) unstable; urgency=medium

  * Disable tests (Closes: #859455)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 03 Apr 2017 22:20:05 +0200

libarchive (3.2.2-1) unstable; urgency=medium

  * Shorten long line in previous changelog entry to please lintian.
  * debian/gbp.conf: add upstream-vcs-tag for import-orig
  * New upstream release.

