=== debian/tests/control ===
Tests: minitar
Depends: build-essential, file, libarchive-latest-dev, pkg-config

Test-Command: adequate libarchive-latest-dev libarchive13-latest libarchive-latest-tools bsdtar-latest bsdcpio-latest
Depends: @, adequate
